summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--source3/Makefile.in2
-rw-r--r--source3/script/tests/functions4
-rw-r--r--source3/script/tests/runtests.sh27
-rw-r--r--source3/script/tests/t_001.sh (renamed from source3/script/tests/t_listing.sh)2
4 files changed, 27 insertions, 8 deletions
diff --git a/source3/Makefile.in b/source3/Makefile.in
index 4c5fbb2773..21e1923769 100644
--- a/source3/Makefile.in
+++ b/source3/Makefile.in
@@ -776,7 +776,7 @@ pch:
##
test: all
@echo Running Samba 3 Test suite
- sh ./script/tests/runtests.sh t_dir
+ @sh ./script/tests/runtests.sh t_dir
# These dependencies are only approximately correct: we want to make
diff --git a/source3/script/tests/functions b/source3/script/tests/functions
new file mode 100644
index 0000000000..0969c98724
--- /dev/null
+++ b/source3/script/tests/functions
@@ -0,0 +1,4 @@
+##
+## library file for test functions
+##
+
diff --git a/source3/script/tests/runtests.sh b/source3/script/tests/runtests.sh
index 2483de97ca..6ee6d3a32b 100644
--- a/source3/script/tests/runtests.sh
+++ b/source3/script/tests/runtests.sh
@@ -1,21 +1,28 @@
#!/bin/sh
-DOMAIN=SAMBA-TEST
-export DOMAIN
-
if [ "x$1" == "x" ]; then
echo "$0 <directory>"
exit 1
fi
+##
+## create the test directory
+##
PREFIX=`echo $1 | sed s+//+/+`
-
mkdir -p $PREFIX || exit $?
OLD_PWD=`pwd`
cd $PREFIX || exit $?
export PREFIX_ABS=`pwd`
cd $OLD_PWD
+##
+## setup the various environment variables we need
+##
+
+DOMAIN=SAMBA-TEST
+
+SRCDIR=`pwd`
+SCRIPTDIR=$SRCDIR/script/tests
TMPDIR=$PREFIX_ABS/tmp
LIBDIR=$PREFIX_ABS/lib
PIDDIR=$PREFIX_ABS/pid
@@ -31,11 +38,17 @@ PATH=`pwd`/bin:$PATH
rm -rf $PREFIX/*
mkdir -p $PRIVATEDIR $LIBDIR $PIDDIR $LOCKDIR $TMPDIR $LOGDIR $SOCKET_WRAPPER_DIR
-export PREFIX_ABS CONFIGURATION CONFFILE PATH SOCKET_WRAPPER_DIR
+export PREFIX_ABS CONFIGURATION CONFFILE PATH SOCKET_WRAPPER_DIR DOMAIN
export PRIVATEDIR LIBDIR PIDDIR LOCKDIR TMPDIR LOGDIR
+export SRCDIR SCRIPTDIR
-cd script/tests
-for testfile in t_*sh; do
+for testfile in `ls $SCRIPTDIR/t_*sh | sort`; do
+ echo ">>>>>> Starting test driver `basename $testfile` <<<<<"
sh $testfile
+ if [ $? = 0 ]; then
+ echo ">>>>> test ok <<<<<"
+ else
+ echo ">>>>> test failed <<<<<"
+ fi
done
diff --git a/source3/script/tests/t_listing.sh b/source3/script/tests/t_001.sh
index 0689807671..86837050c7 100644
--- a/source3/script/tests/t_listing.sh
+++ b/source3/script/tests/t_001.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+. $SCRIPTDIR/functions
+
cat >$CONFFILE<<EOF
[global]
netbios name = LOCALHOST